# Uses of Class
org.jfree.chart3d.renderer.Renderer3DChangeEvent

Packages that use Renderer3DChangeEvent
Package
Description
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer
Base package for renderer support.

## Uses of Renderer3DChangeEvent in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot with parameters of type Renderer3DChangeEvent
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`rendererChanged(Renderer3DChangeEvent event)`
Receives notification that the renderer has been modified in some way.
`void`
XYZPlot.`rendererChanged(Renderer3DChangeEvent event)`
Receives notification that the plot's renderer has changed, and responds by passing on a `Plot3DChangeEvent` to the plot's registered listeners (with the default set-up, this notifies the chart).

## Uses of Renderer3DChangeEvent in org.jfree.chart3d.renderer

Methods in org.jfree.chart3d.renderer with parameters of type Renderer3DChangeEvent
Modifier and Type
Method
Description
`void`
AbstractRenderer3D.`notifyListeners(Renderer3DChangeEvent event)`
Notifies all registered listeners that the plot has been modified.
`void`
Renderer3DChangeListener.`rendererChanged(Renderer3DChangeEvent event)`
Called to signal a change to a renderer.